hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: build YCSB for hbase 0.98.5-hadoop2
Date Sun, 14 Sep 2014 14:46:08 GMT
Forgot to mention that mps is an alias:
mvn package -DskipTests

FYI

On Sun, Sep 14, 2014 at 7:18 AM, Ted Yu <yuzhihong@gmail.com> wrote:

> This is what I did:
>
>  1206  git clone -b ycsb_visibility https://github.com/ramkrish86/YCSB.git
> ycsb
>  1207  cd ycsb/
>  1208  ls
>  1211  mps -Dhbase.version=0.98.5-hadoop2
>
> I got:
>
> [INFO] HBase DB Binding .................................. SUCCESS
> [13.068s]
> [INFO] Hypertable DB Binding ............................. SUCCESS [2.565s]
> [INFO] DynamoDB DB Binding ............................... SUCCESS [3.041s]
> ...
>
> Cheers
>
> On Sun, Sep 14, 2014 at 1:05 AM, 牛兆捷 <nzjemail@gmail.com> wrote:
>
>> I just modify the hbase version to 0.98.5-hadoop2 and keep others
>> unchanged.
>>
>> When I build it using "mvn clean package", it says the 0.98.5-hadoop2
>> can't
>> be found in maven repo.
>> Do I miss something?
>>
>> <properties> <maven.assembly.version>2.2.1</maven.assembly.version>
>> <hbase.version>0.98.5-hadoop2</hbase.version> <cassandra.version>0.7.0
>> </cassandra.version> <infinispan.version>7.1.0.CR1</infinispan.version>
>> <openjpa.jdbc.version>2.1.1</openjpa.jdbc.version> <mapkeeper.version>1.0
>> </mapkeeper.version> <mongodb.version>2.9.0</mongodb.version>
>> <orientdb.version>1.0.1</orientdb.version> <redis.version>2.0.0
>> </redis.version> <voldemort.version>0.81</voldemort.version>
>> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
>> <thrift.version>0.8.0</thrift.version> <hypertable.version>0.9.5.6
>> </hypertable.version> </properties>
>>
>> 2014-09-14 14:35 GMT+08:00 ramkrishna vasudevan <
>> ramkrishna.s.vasudevan@gmail.com>:
>>
>> > What is the problem you are facing?
>> > https://github.com/ramkrish86/ycsb/tree/ycsb_visibility.  You can refer
>> > the
>> > ycsb pom here. This explains how we tried to build ycsb with 0.98.  May
>> be
>> > useful.
>> > Incase you are missing something in the pom.
>> > Regards
>> > Ram
>> >
>> > On Sun, Sep 14, 2014 at 10:00 AM, Stack <stack@duboce.net> wrote:
>> >
>> > > 0.98.5-hadoop2 has been pushed to mvn (see
>> > > http://mvnrepository.com/search?q=hbase for example)  What is the
>> issue
>> > > you
>> > > are seeing?
>> > > St.Ack
>> > >
>> > > On Fri, Sep 12, 2014 at 7:29 PM, 牛兆捷 <nzjemail@gmail.com> wrote:
>> > >
>> > > > If I want to rebuild YCSB specific for hbase 0.98.5-hadoop2, what
>> > should
>> > > I
>> > > > do?
>> > > >
>> > > > --
>> > > > *Regards,*
>> > > > *Zhaojie*
>> > > >
>> > >
>> >
>>
>>
>>
>> --
>> *Regards,*
>> *Zhaojie*
>>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message